<?php
// $Id: galslideshow.admin.inc,v 1.1.2.1 2009/12/22 12:16:42 taldy Exp $

/**
 * @file
 * Provides administrative functions for galslideshow module.
 */
function galslideshow_galleryapi_innerfade_form() {
   $form['animationtype'] = array(
    '#type' => 'select',
    '#title' => t('Animation type'),
    '#options' => array('slide' => t('Slide'), 'fade' => t('Fade')),
    '#default_value' => 1,
    '#required' => TRUE,
  );
  $form['speed'] = array(
    '#type' => 'textfield',
    '#title' => t('Speed'),
    '#description' => t('Animation speed in milliseconds.'),
    '#size' => 20,
    '#default_value' => 2000,
  );
  $form['timeout'] = array(
    '#type' => 'textfield',
    '#title' => t('Timeout'),
    '#description' => t('Animation timeout in milliseconds.'),
    '#size' => 20,
    '#default_value' => 4000,
  );
  $form['type'] = array(
    '#type' => 'select',
    '#title' => t('Type'),
    '#options' => array('random' => t('Random'), 'sequence' => t('Sequence')),
    '#default_value' => 1,
    '#required' => TRUE,
  );
  $form['containerheight'] = array(
    '#type' => 'textfield',
    '#title' => t('Container height'),
    '#description' => t('Height of the slideshow container in pixels.'),
    '#size' => 20,
    '#default_value' => 300,
  );
  return $form;
}